// Pixy - Version: Latest 
#include <Pixy.h>

// SPI - Version: Latest 
#include <SPI.h>
Pixy pixy;
/*

*/
const int EnA = 13;
const int Motor1In1 = 12;
const int Motor1In2 = 11;
const int EnB = 10;
const int Motor2In1 = 9;
const int Motor2In2 = 8;
void setup() {
    Serial.begin(9600);
    pinMode(EnA, OUTPUT);
    pinMode(EnB, OUTPUT);
    pinMode(Motor1In1, OUTPUT);
    pinMode(Motor1In2, OUTPUT);
    pinMode(Motor2In1, OUTPUT);
    pinMode(Motor2In2, OUTPUT);
    pixy.init();
}

void loop() {
    static int i = 0;
  int j;
  uint16_t blocks;
  char buf[32]; 
  
  // grab blocks!
  blocks = pixy.getBlocks();
  
  // If there are detect blocks, print them!
  if (blocks)
  {
    i++;
    
    // do this (print) every 50 frames because printing every
    // frame would bog down the Arduino
    if (i%50==0)
    {
      sprintf(buf, "Detected %d:\n", blocks);
      Serial.print(buf);
      for (j=0; j<blocks; j++)
      {
        sprintf(buf, "  block %d: ", j);
        Serial.print(buf); 
        pixy.blocks[j].print();
      }
    }
  }  
}
void forward(int speed)
{
  digitalWrite(EnA,HIGH);
  digitalWrite(EnB,HIGH);
  analogWrite(Motor1In2,speed);
  analogWrite(Motor2In1, speed);
}
void backward(int speed)
{
  digitalWrite(EnA,HIGH);
  digitalWrite(EnB,HIGH);
  analogWrite(Motor1In1,speed);
  analogWrite(Motor2In2, speed);
}
void CW(int speed)
{
  digitalWrite(EnA,HIGH);
  digitalWrite(EnB,HIGH);
  analogWrite(Motor1In1,speed);
  analogWrite(Motor2In1, speed);
}
void CCW(int speed)
{
  digitalWrite(EnA,HIGH);
  digitalWrite(EnB,HIGH);
  analogWrite(Motor1In2,speed);
  analogWrite(Motor2In2, speed);
}
void Stop()
{
  digitalWrite(EnA,LOW);
  digitalWrite(EnB,LOW);
}